function show_vector3(v, p, q, t)
    v = abs(v);
    mx = max(v);
    mn = min(v);
    
    v = (v-mn)*256/(mx-mn);
  
    vi = uint8(v);
    
    vi(find(v>t)) = 255;
    vi(find(v<=t)) = 0;
    
    vi = reshape(vi, p, q);
    
    imshow(vi);
